@charset "utf-8";

/*
! tailwindcss v3.2.7 | MIT License | https://tailwindcss.com
*/

/*
1. Prevent padding and border from affecting element width. (https://github.com/mozdevs/cssremedy/issues/4)
2. Allow adding a border to an element by just adding a border-width. (https://github.com/tailwindcss/tailwindcss/pull/116)
*/

*,
::before,
::after {
  box-sizing: border-box;
  /* 1 */
  border-width: 0;
  /* 2 */
  border-style: solid;
  /* 2 */
  border-color: #e5e7eb;
  /* 2 */
}

::before,
::after {
  --tw-content: '';
}

/*
1. Use a consistent sensible line-height in all browsers.
2. Prevent adjustments of font size after orientation changes in iOS.
3. Use a more readable tab size.
4. Use the user's configured `sans` font-family by default.
5. Use the user's configured `sans` font-feature-settings by default.
*/

html {
  line-height: 1.5;
  /* 1 */
  -webkit-text-size-adjust: 100%;
  /* 2 */
  -moz-tab-size: 4;
  /* 3 */
  -o-tab-size: 4;
     tab-size: 4;
  /* 3 */
  font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  /* 4 */
  font-feature-settings: normal;
  /* 5 */
}

/*
1. Remove the margin in all browsers.
2. Inherit line-height from `html` so users can set them as a class directly on the `html` element.
*/

body {
  margin: 0;
  /* 1 */
  line-height: inherit;
  /* 2 */
}

/*
1. Add the correct height in Firefox.
2. Correct the inheritance of border color in Firefox. (https://bugzilla.mozilla.org/show_bug.cgi?id=190655)
3. Ensure horizontal rules are visible by default.
*/

hr {
  height: 0;
  /* 1 */
  color: inherit;
  /* 2 */
  border-top-width: 1px;
  /* 3 */
}

/*
Add the correct text decoration in Chrome, Edge, and Safari.
*/

abbr:where([title]) {
  -webkit-text-decoration: underline dotted;
          text-decoration: underline dotted;
}

/*
Remove the default font size and weight for headings.
*/

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

/*
Reset links to optimize for opt-in styling instead of opt-out.
*/

a {
  color: inherit;
  text-decoration: inherit;
}

/*
Add the correct font weight in Edge and Safari.
*/

b,
strong {
  font-weight: bolder;
}

/*
1. Use the user's configured `mono` font family by default.
2. Correct the odd `em` font sizing in all browsers.
*/

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
  /* 1 */
  font-size: 1em;
  /* 2 */
}

/*
Add the correct font size in all browsers.
*/

small {
  font-size: 80%;
}

/*
Prevent `sub` and `sup` elements from affecting the line height in all browsers.
*/

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

/*
1. Remove text indentation from table contents in Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=999088, https://bugs.webkit.org/show_bug.cgi?id=201297)
2. Correct table border color inheritance in all Chrome and Safari. (https://bugs.chromium.org/p/chromium/issues/detail?id=935729, https://bugs.webkit.org/show_bug.cgi?id=195016)
3. Remove gaps between table borders by default.
*/

table {
  text-indent: 0;
  /* 1 */
  border-color: inherit;
  /* 2 */
  border-collapse: collapse;
  /* 3 */
}

/*
1. Change the font styles in all browsers.
2. Remove the margin in Firefox and Safari.
3. Remove default padding in all browsers.
*/

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  /* 1 */
  font-size: 100%;
  /* 1 */
  font-weight: inherit;
  /* 1 */
  line-height: inherit;
  /* 1 */
  color: inherit;
  /* 1 */
  margin: 0;
  /* 2 */
  padding: 0;
  /* 3 */
}

/*
Remove the inheritance of text transform in Edge and Firefox.
*/

button,
select {
  text-transform: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Remove default button styles.
*/

button,
[type='button'],
[type='reset'],
[type='submit'] {
  -webkit-appearance: button;
  /* 1 */
  background-color: transparent;
  /* 2 */
  background-image: none;
  /* 2 */
}

/*
Use the modern Firefox focus style for all focusable elements.
*/

:-moz-focusring {
  outline: auto;
}

/*
Remove the additional `:invalid` styles in Firefox. (https://github.com/mozilla/gecko-dev/blob/2f9eacd9d3d995c937b4251a5557d95d494c9be1/layout/style/res/forms.css#L728-L737)
*/

:-moz-ui-invalid {
  box-shadow: none;
}

/*
Add the correct vertical alignment in Chrome and Firefox.
*/

progress {
  vertical-align: baseline;
}

/*
Correct the cursor style of increment and decrement buttons in Safari.
*/

::-webkit-inner-spin-button,
::-webkit-outer-spin-button {
  height: auto;
}

/*
1. Correct the odd appearance in Chrome and Safari.
2. Correct the outline style in Safari.
*/

[type='search'] {
  -webkit-appearance: textfield;
  /* 1 */
  outline-offset: -2px;
  /* 2 */
}

/*
Remove the inner padding in Chrome and Safari on macOS.
*/

::-webkit-search-decoration {
  -webkit-appearance: none;
}

/*
1. Correct the inability to style clickable types in iOS and Safari.
2. Change font properties to `inherit` in Safari.
*/

::-webkit-file-upload-button {
  -webkit-appearance: button;
  /* 1 */
  font: inherit;
  /* 2 */
}

/*
Add the correct display in Chrome and Safari.
*/

summary {
  display: list-item;
}

/*
Removes the default spacing and border for appropriate elements.
*/

blockquote,
dl,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
hr,
figure,
p,
pre {
  margin: 0;
}

fieldset {
  margin: 0;
  padding: 0;
}

legend {
  padding: 0;
}

ol,
ul,
menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

/*
Prevent resizing textareas horizontally by default.
*/

textarea {
  resize: vertical;
}

/*
1. Reset the default placeholder opacity in Firefox. (https://github.com/tailwindlabs/tailwindcss/issues/3300)
2. Set the default placeholder color to the user's configured gray 400 color.
*/

input::-moz-placeholder, textarea::-moz-placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

input::placeholder,
textarea::placeholder {
  opacity: 1;
  /* 1 */
  color: #9ca3af;
  /* 2 */
}

/*
Set the default cursor for buttons.
*/

button,
[role="button"] {
  cursor: pointer;
}

/*
Make sure disabled buttons don't get the pointer cursor.
*/

:disabled {
  cursor: default;
}

/*
1. Make replaced elements `display: block` by default. (https://github.com/mozdevs/cssremedy/issues/14)
2. Add `vertical-align: middle` to align replaced elements more sensibly by default. (https://github.com/jensimmons/cssremedy/issues/14#issuecomment-634934210)
   This can trigger a poorly considered lint error in some tools but is included by design.
*/

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
  /* 1 */
  vertical-align: middle;
  /* 2 */
}

/*
Constrain images and videos to the parent width and preserve their intrinsic aspect ratio. (https://github.com/mozdevs/cssremedy/issues/14)
*/

img,
video {
  max-width: 100%;
  height: auto;
}

/* Make elements with the HTML hidden attribute stay hidden by default */

[hidden] {
  display: none;
}

h1{
  font-size: 2.25rem;
  line-height: 1.125;
}

h2{
  font-size: 1.875rem;
  line-height: 1.25;
  color: #1f2937;
}

h3{
  font-size: 1.5rem;
}

h4{
  font-size: 1.25rem;
  color: #1f2937;
}

h5{
  font-size: 1.125rem;
}

h6{
  font-size: 1rem;
}

*, ::before, ::after{
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
}

::backdrop{
  --tw-border-spacing-x: 0;
  --tw-border-spacing-y: 0;
  --tw-translate-x: 0;
  --tw-translate-y: 0;
  --tw-rotate: 0;
  --tw-skew-x: 0;
  --tw-skew-y: 0;
  --tw-scale-x: 1;
  --tw-scale-y: 1;
  --tw-pan-x:  ;
  --tw-pan-y:  ;
  --tw-pinch-zoom:  ;
  --tw-scroll-snap-strictness: proximity;
  --tw-ordinal:  ;
  --tw-slashed-zero:  ;
  --tw-numeric-figure:  ;
  --tw-numeric-spacing:  ;
  --tw-numeric-fraction:  ;
  --tw-ring-inset:  ;
  --tw-ring-offset-width: 0px;
  --tw-ring-offset-color: #fff;
  --tw-ring-color: rgb(59 130 246 / 0.5);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  --tw-shadow: 0 0 #0000;
  --tw-shadow-colored: 0 0 #0000;
  --tw-blur:  ;
  --tw-brightness:  ;
  --tw-contrast:  ;
  --tw-grayscale:  ;
  --tw-hue-rotate:  ;
  --tw-invert:  ;
  --tw-saturate:  ;
  --tw-sepia:  ;
  --tw-drop-shadow:  ;
  --tw-backdrop-blur:  ;
  --tw-backdrop-brightness:  ;
  --tw-backdrop-contrast:  ;
  --tw-backdrop-grayscale:  ;
  --tw-backdrop-hue-rotate:  ;
  --tw-backdrop-invert:  ;
  --tw-backdrop-opacity:  ;
  --tw-backdrop-saturate:  ;
  --tw-backdrop-sepia:  ;
}

.container{
  width: 100%;
}

@media (min-width: 27.5rem){
  .container{
    max-width: 27.5rem;
  }
}

@media (min-width: 40rem){
  .container{
    max-width: 40rem;
  }
}

@media (min-width: 48rem){
  .container{
    max-width: 48rem;
  }
}

@media (min-width: 64rem){
  .container{
    max-width: 64rem;
  }
}

@media (min-width: 80rem){
  .container{
    max-width: 80rem;
  }
}

@media (min-width: 90rem){
  .container{
    max-width: 90rem;
  }
}

.prose{
  color: #4b5563;
}

.prose :where(strong):not(:where([class~="not-prose"] *)){
  font-weight: 700;
}

.prose :where(h1):not(:where([class~="not-prose"] *)){
  font-weight: 400;
  font-size: 1.875rem;
  color: #111827;
  margin-bottom: 0.5rem;
}

.prose :where(h2):not(:where([class~="not-prose"] *)){
  font-weight: 400;
}

.prose :where(p):not(:where([class~="not-prose"] *)){
  color: #4b5563;
  line-height: 1.75;
}

.sr-only{
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border-width: 0;
}

.pointer-events-none{
  pointer-events: none;
}

.fixed{
  position: fixed;
}

.absolute{
  position: absolute;
}

.relative{
  position: relative;
}

.inset-0{
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

.inset-x-0{
  left: 0;
  right: 0;
}

.left-3{
  left: 0.75rem;
}

.right-0{
  right: 0;
}

.right-20{
  right: 5rem;
}

.right-4{
  right: 1rem;
}

.top-0{
  top: 0;
}

.top-20{
  top: 5rem;
}

.top-4{
  top: 1rem;
}

.z-0{
  z-index: 0;
}

.z-10{
  z-index: 10;
}

.z-30{
  z-index: 30;
}

.z-50{
  z-index: 50;
}

.m-0{
  margin: 0px;
}

.-mx-4{
  margin-left: -1rem;
  margin-right: -1rem;
}

.mx-auto{
  margin-left: auto;
  margin-right: auto;
}

.my-12{
  margin-top: 3rem;
  margin-bottom: 3rem;
}

.my-2{
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}

.my-3{
  margin-top: 0.75rem;
  margin-bottom: 0.75rem;
}

.my-6{
  margin-top: 1.5rem;
  margin-bottom: 1.5rem;
}

.my-8{
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.-mb-4{
  margin-bottom: -1rem;
}

.-mb-8{
  margin-bottom: -2rem;
}

.-mt-1{
  margin-top: -0.25rem;
}

.-mt-8{
  margin-top: -2rem;
}

.-mt-px{
  margin-top: -1px;
}

.mb-0{
  margin-bottom: 0px;
}

.mb-1{
  margin-bottom: 0.25rem;
}

.mb-2{
  margin-bottom: 0.5rem;
}

.mb-3{
  margin-bottom: 0.75rem;
}

.mb-4{
  margin-bottom: 1rem;
}

.mb-5{
  margin-bottom: 1.25rem;
}

.mb-6{
  margin-bottom: 1.5rem;
}

.mb-8{
  margin-bottom: 2rem;
}

.ml-0{
  margin-left: 0px;
}

.ml-1{
  margin-left: 0.25rem;
}

.ml-2{
  margin-left: 0.5rem;
}

.ml-20{
  margin-left: 5rem;
}

.ml-3{
  margin-left: 0.75rem;
}

.ml-px{
  margin-left: 1px;
}

.mr-1{
  margin-right: 0.25rem;
}

.mr-10{
  margin-right: 2.5rem;
}

.mr-2{
  margin-right: 0.5rem;
}

.mr-3{
  margin-right: 0.75rem;
}

.mr-8{
  margin-right: 2rem;
}

.mt-12{
  margin-top: 3rem;
}

.mt-2{
  margin-top: 0.5rem;
}

.mt-20{
  margin-top: 5rem;
}

.mt-4{
  margin-top: 1rem;
}

.mt-8{
  margin-top: 2rem;
}

.mt-px{
  margin-top: 1px;
}

.box-border{
  box-sizing: border-box;
}

.block{
  display: block;
}

.inline-block{
  display: inline-block;
}

.flex{
  display: flex;
}

.inline-flex{
  display: inline-flex;
}

.table{
  display: table;
}

.grid{
  display: grid;
}

.hidden{
  display: none;
}

.h-0{
  height: 0px;
}

.h-12{
  height: 3rem;
}

.h-20{
  height: 5rem;
}

.h-4{
  height: 1rem;
}

.h-40{
  height: 10rem;
}

.h-5{
  height: 1.25rem;
}

.h-6{
  height: 1.5rem;
}

.h-8{
  height: 2rem;
}

.h-full{
  height: 100%;
}

.max-h-screen{
  max-height: 100vh;
}

.min-h-12{
  min-height: 3rem;
}

.min-h-screen{
  min-height: 100vh;
}

.w-12{
  width: 3rem;
}

.w-20{
  width: 5rem;
}

.w-4{
  width: 1rem;
}

.w-5{
  width: 1.25rem;
}

.w-6{
  width: 1.5rem;
}

.w-7\/8{
  width: 87.5%;
}

.w-8{
  width: 2rem;
}

.w-96{
  width: 24rem;
}

.w-auto{
  width: auto;
}

.w-full{
  width: 100%;
}

.w-screen{
  width: 100vw;
}

.min-w-0{
  min-width: 0px;
}

.min-w-72{
  min-width: 18rem;
}

.max-w-8xl{
  max-width: 90rem;
}

.max-w-screen{
  max-width: 100vw;
}

.max-w-screen-xl{
  max-width: 80rem;
}

.flex-1{
  flex: 1 1 0%;
}

.flex-auto{
  flex: 1 1 auto;
}

.flex-shrink-0{
  flex-shrink: 0;
}

.flex-grow{
  flex-grow: 1;
}

.table-auto{
  table-layout: auto;
}

.transform{
  transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
}

.select-none{
  -webkit-user-select: none;
     -moz-user-select: none;
          user-select: none;
}

.resize{
  resize: both;
}

.grid-cols-1{
  grid-template-columns: repeat(1, minmax(0, 1fr));
}

.flex-col{
  flex-direction: column;
}

.flex-col-reverse{
  flex-direction: column-reverse;
}

.flex-wrap{
  flex-wrap: wrap;
}

.items-center{
  align-items: center;
}

.items-baseline{
  align-items: baseline;
}

.justify-center{
  justify-content: center;
}

.justify-between{
  justify-content: space-between;
}

.gap-3{
  gap: 0.75rem;
}

.gap-6{
  gap: 1.5rem;
}

.space-x-1 > :not([hidden]) ~ :not([hidden]){
  --tw-space-x-reverse: 0;
  margin-right: calc(0.25rem * var(--tw-space-x-reverse));
  margin-left: calc(0.25rem * calc(1 - var(--tw-space-x-reverse)));
}

.space-y-10 > :not([hidden]) ~ :not([hidden]){
  --tw-space-y-reverse: 0;
  margin-top: calc(2.5rem * calc(1 - var(--tw-space-y-reverse)));
  margin-bottom: calc(2.5rem * var(--tw-space-y-reverse));
}

.overflow-y-auto{
  overflow-y: auto;
}

.overflow-y-hidden{
  overflow-y: hidden;
}

.truncate{
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.rounded{
  border-radius: 0.25rem;
}

.rounded-full{
  border-radius: 9999px;
}

.border{
  border-width: 1px;
}

.border-b{
  border-bottom-width: 1px;
}

.border-t{
  border-top-width: 1px;
}

.border-gray-200{
  --tw-border-opacity: 1;
  border-color: rgb(229 231 235 / var(--tw-border-opacity));
}

.border-gray-400{
  --tw-border-opacity: 1;
  border-color: rgb(156 163 175 / var(--tw-border-opacity));
}

.border-gray-800{
  --tw-border-opacity: 1;
  border-color: rgb(31 41 55 / var(--tw-border-opacity));
}

.bg-black{
  --tw-bg-opacity: 1;
  background-color: rgb(0 0 0 / var(--tw-bg-opacity));
}

.bg-gray-100{
  --tw-bg-opacity: 1;
  background-color: rgb(243 244 246 / var(--tw-bg-opacity));
}

.bg-gray-200{
  --tw-bg-opacity: 1;
  background-color: rgb(229 231 235 / var(--tw-bg-opacity));
}

.bg-gray-50{
  --tw-bg-opacity: 1;
  background-color: rgb(249 250 251 / var(--tw-bg-opacity));
}

.bg-gray-900{
  --tw-bg-opacity: 1;
  background-color: rgb(17 24 39 / var(--tw-bg-opacity));
}

.bg-transparent{
  background-color: transparent;
}

.bg-white{
  --tw-bg-opacity: 1;
  background-color: rgb(255 255 255 / var(--tw-bg-opacity));
}

.bg-opacity-25{
  --tw-bg-opacity: 0.25;
}

.bg-gradient-to-b{
  background-image: linear-gradient(to bottom, var(--tw-gradient-stops));
}

.from-gray-50{
  --tw-gradient-from: #f9fafb;
  --tw-gradient-to: rgb(249 250 251 / 0);
  --tw-gradient-stops: var(--tw-gradient-from), var(--tw-gradient-to);
}

.bg-cover{
  background-size: cover;
}

.bg-center{
  background-position: center;
}

.fill-current{
  fill: currentColor;
}

.object-cover{
  -o-object-fit: cover;
     object-fit: cover;
}

.p-2{
  padding: 0.5rem;
}

.p-4{
  padding: 1rem;
}

.p-8{
  padding: 2rem;
}

.px-3{
  padding-left: 0.75rem;
  padding-right: 0.75rem;
}

.px-4{
  padding-left: 1rem;
  padding-right: 1rem;
}

.px-8{
  padding-left: 2rem;
  padding-right: 2rem;
}

.py-12{
  padding-top: 3rem;
  padding-bottom: 3rem;
}

.py-2{
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.py-3{
  padding-top: 0.75rem;
  padding-bottom: 0.75rem;
}

.py-4{
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.py-5{
  padding-top: 1.25rem;
  padding-bottom: 1.25rem;
}

.py-6{
  padding-top: 1.5rem;
  padding-bottom: 1.5rem;
}

.py-8{
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.pb-0{
  padding-bottom: 0px;
}

.pb-1{
  padding-bottom: 0.25rem;
}

.pb-10{
  padding-bottom: 2.5rem;
}

.pb-12{
  padding-bottom: 3rem;
}

.pb-2{
  padding-bottom: 0.5rem;
}

.pb-2\/3{
  padding-bottom: 66.666667%;
}

.pb-4{
  padding-bottom: 1rem;
}

.pb-6{
  padding-bottom: 1.5rem;
}

.pb-px{
  padding-bottom: 1px;
}

.pl-3{
  padding-left: 0.75rem;
}

.pr-2{
  padding-right: 0.5rem;
}

.pr-3{
  padding-right: 0.75rem;
}

.pr-4{
  padding-right: 1rem;
}

.pt-0{
  padding-top: 0px;
}

.pt-1{
  padding-top: 0.25rem;
}

.pt-12{
  padding-top: 3rem;
}

.pt-2{
  padding-top: 0.5rem;
}

.pt-20{
  padding-top: 5rem;
}

.pt-px{
  padding-top: 1px;
}

.text-left{
  text-align: left;
}

.text-center{
  text-align: center;
}

.text-right{
  text-align: right;
}

.text-2xl{
  font-size: 1.5rem;
  line-height: 2rem;
}

.text-6xl{
  font-size: 3.75rem;
  line-height: 1;
}

.text-base{
  font-size: 1rem;
  line-height: 1.5rem;
}

.text-lg{
  font-size: 1.125rem;
  line-height: 1.75rem;
}

.text-sm{
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.text-xl{
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.text-xs{
  font-size: 0.75rem;
  line-height: 1rem;
}

.font-bold{
  font-weight: 700;
}

.font-semibold{
  font-weight: 600;
}

.uppercase{
  text-transform: uppercase;
}

.italic{
  font-style: italic;
}

.tracking-wide{
  letter-spacing: 0.025em;
}

.text-gray-100{
  --tw-text-opacity: 1;
  color: rgb(243 244 246 / var(--tw-text-opacity));
}

.text-gray-300{
  --tw-text-opacity: 1;
  color: rgb(209 213 219 / var(--tw-text-opacity));
}

.text-gray-400{
  --tw-text-opacity: 1;
  color: rgb(156 163 175 / var(--tw-text-opacity));
}

.text-gray-500{
  --tw-text-opacity: 1;
  color: rgb(107 114 128 / var(--tw-text-opacity));
}

.text-gray-600{
  --tw-text-opacity: 1;
  color: rgb(75 85 99 / var(--tw-text-opacity));
}

.text-gray-700{
  --tw-text-opacity: 1;
  color: rgb(55 65 81 / var(--tw-text-opacity));
}

.text-gray-800{
  --tw-text-opacity: 1;
  color: rgb(31 41 55 / var(--tw-text-opacity));
}

.text-gray-900{
  --tw-text-opacity: 1;
  color: rgb(17 24 39 / var(--tw-text-opacity));
}

.text-primary{
  --tw-text-opacity: 1;
  color: rgb(38 81 212 / var(--tw-text-opacity));
}

.underline{
  text-decoration-line: underline;
}

.no-underline{
  text-decoration-line: none;
}

.antialiased{
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.opacity-0{
  opacity: 0;
}

.outline-none{
  outline: 2px solid transparent;
  outline-offset: 2px;
}

.ring-2{
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
}

:root {
  --color-primary: #2651D4;
}

html {
  scroll-behavior: smooth;
}

/* Issue: works locally but not in production */

h2[id],
h3[id],
h4[id] {
  scroll-snap-margin-top: 5rem;
  scroll-margin-top: 5rem;
}

[hidden] {
  display: none !important;
}

::-moz-selection {
  background: #EADF48;
  color: rgba(17, 24, 39);
}

::selection      {
  background: #EADF48;
  color: rgba(17, 24, 39);
}

#logo {
  background-image: url("/media/logo.png");
  background-image: url("/media/logo.svg");
  background-repeat: no-repeat;
  background-size: 3.5rem;
  background-position: center;
}

.link-full::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
}

.page-link a:hover + * .page-link__icon-container,
.page-link a:focus + * .page-link__icon-container {
  border: 1px solid #a0aec0;
}

p, ul, ol {
  margin-bottom: 1.5em;
}

ul.list-middot {
  margin: 0;
}

ul.list-middot > li {
  display: inline;
}

ul.list-middot > li + li::before {
  content: "·";
  margin: 0 0.5rem;
  opacity: 0.75;
}

.prose a {
  color: var(--color-primary);
  text-decoration: underline;
}

.prose a[href*="//"]:not([href*="lalouvesc.fr"]):not([href*="lalouvesc.netlify.fr"])::after,
.prose a.link-external::after {
  content: "\2197";
  /* ↗︎ */
  display: inline-block;
  position: relative;
  top: 0.1em;
  margin-left: 0.2em;
}

.prose a.link-pdf::after {
  content: "("attr(data-type)")";
  text-transform: uppercase;
  display: inline-block;
  color: rgba(75, 85, 99);
  margin-left: 0.25em;
}

.prose a:hover {
  text-decoration: none;
}

.prose h2 {
  padding: 1em 0;
  border-top: 1px solid #E5E7EB;
  margin-top: 1em;
}

.prose > h2:first-child {
  border-top: 0;
  margin-top: 0;
}

.prose h3 {
  font-weight: bold;
  color: #111827;
  padding-top: 1em;
  margin-bottom: 1em;
}

.prose h4 {
  margin-top: 1em;
}

.prose blockquote {
  font-style: italic;
  border-left: 1px solid #CBD5E0;
  padding: 0.5em 0 0.5em 1.5em;
}

.prose figcaption {
  font-style: italic;
  color: #4B5563;
  padding: 1em 0;
}

.prose table {
  table-layout: auto;
  border-collapse: collapse;
  width: 100%;
  margin: 2rem 0;
}

.prose table th,
.prose table td {
  padding: .5rem 1rem;
  border: 1px solid #CBD5E0;
}

.prose table thead {
  background-color: rgb(249, 250, 251);
}

.prose ul {
  padding-left: 1em;
  list-style: initial;
}

.prose ol {
  padding-left: 1em;
  list-style: decimal;
}

.prose ul li,
.prose ol li {
  padding-left: 0.5em;
  padding-bottom: 0.5em;
}

.prose p:last-child {
  margin-bottom: 0;
}

.grid img {
  width: 100%;
  -o-object-fit: cover;
     object-fit: cover;
}

/* Search */

#search-input {
  -webkit-appearance: none;
}

@media (max-width: 27.4375rem) {
  /* < xs */

  #search-input:focus {
    width: calc(100vw - 10rem);
  }
}

@media (min-width: 27.5rem) {
  /* > xs */

  #search-input {
    min-width: 10rem;
  }
}

/* Nav */

#nav-wrapper {
  height: calc(100vh - 80px);
}

#nav-menu > li:focus-within > .sub-menu,
#nav-menu > li:hover > .sub-menu {
  display: block;
}

#nav-menu > li:focus-within > a > svg,
#nav-menu > li:hover > a > svg {
  transform: rotate(180deg);
}

/* Sidebar nav */

#sidebar-nav details > summary {
  outline: none;
  color: #A0AEC0;
  padding-left:  .75rem;
  padding-right: .75rem;
}

#sidebar-nav details > summary:focus {
  outline: 1px dotted rgb(107, 114, 128);
}

#sidebar-nav details > summary > a,
#sidebar-nav details > ul > li > a {
  color: rgb(107, 114, 128);
}

#sidebar-nav > details > summary.active > a,
#sidebar-nav > details > details > summary.active > a,
#sidebar-nav > details > ul > li.active > a,
#sidebar-nav > details > details > ul > li.active > a {
  color: #1A202C;
}

/* 2nd level Sections */

#sidebar-nav ul > li > ul > li > details > ul > li > details > summary {
  padding-left:  1.5rem;
}

/* 3rd level Sections */

#sidebar-nav ul > li > ul > li > details > ul > li > details > ul > li > details > summary {
  padding-left:  2.25rem;
}

/* 4th level Sections */

#sidebar-nav ul > li > ul > li > details > ul > li > details > ul > li > details > ul > li > details > summary {
  padding-left:  3rem;
}

/* 1st level RegularPages */

#sidebar-nav ul > li > ul > li > details > ul > li > a {
  padding-left: 2.65rem;
}

/* 2nd level RegularPages */

#sidebar-nav ul > li > ul > li > details > ul > li > details > ul > li > a {
  padding-left: 3.4rem;
}

/* 3rd level RegularPages */

#sidebar-nav ul > li > ul > li > details > ul > li > details > ul > li > details > ul > li > a {
  padding-left: 4.15rem;
}

/* 4th level RegularPages */

#sidebar-nav ul > li > ul > li > details > ul > li > details > ul > li > details > ul > li > details > ul > li > a {
  padding-left: 4.9rem;
}

#sidebar-nav ul > li.context-RegularPages a::before {
  content: "•";
  color: #A0AEC0;
  display: inline-block;
  width: 0.5rem;
  height: 2rem;
  position: absolute;
  margin-left: -1.05rem;
  padding-top: 0.125rem;
}

@media (min-width: 64rem) {
  /* lg */

  #sidebar {
    /* autoprefixer: off */
    position: -webkit-sticky;
    position: sticky;
  }

  #sidebar-nav ul > li.context-RegularPages a::before {
    padding-top: 0;
  }
}

/* Breadcrumb */

#breadcrumb-wrapper {
  padding-top: 0.6rem;
  padding-bottom: 0.6rem;
}

.breadcrumb ol > li {
  display: inline-block;
  font-size: .875rem;
}

.breadcrumb ol > li + li::before {
  content: "/";
  display: inline-block;
  margin: 0 0.333rem;
  color: #A0AEC0;
}

.breadcrumb ol > li:not(:last-child):not(.post-grandParent) a {
  text-decoration: underline;
}

.breadcrumb ol > li:last-child:not(.post-parent) a {
  color: rgb(107, 114, 128);
}

/* Compétences */

#competences h3 {
  padding-bottom: 0;
  font-size: 1.125rem;
  line-height: 1.75rem;
}

/* Table of Contents (ToC) */

.toc ul {
  margin-bottom: 0;
}

.toc ul > li > ul {
  margin-left: 1rem;
}

.toc li > a {
  display: inline-block;
  margin-bottom: 0.25rem;
  color: rgb(107, 114, 128);
  /* text-gray-500 */
}

.toc li {
  transition: color 0.2s ease-out;
}

.toc li.active a,
.toc li > a:focus,
.toc li > a:active {
  color: rgba(55, 65, 81);
  /* text-gray-700 */
}

@media (hover: hover) {
  .toc li > a:hover {
    color: rgba(55, 65, 81);
    /* text-gray-700 */
  }
}

/* Page link */

.page-link {
  margin: 1.5rem 0;
}

.page-link a {
  color: initial;
  text-decoration: none;
}

.page-link h3 {
  padding: 0;
  font-weight: 400;
}

.grid .page-link,
.flex-col .page-link {
  margin-top: -1px;
  margin-bottom: 0;
}

@media (min-width: 40rem) {
  .sm\:gap-x-8 {
    grid-column-gap: 2rem;
    -moz-column-gap: 2rem;
    column-gap: 2rem;
  }
}

/* Pagination */

.pagination__link {
  width: 2.75rem;
  height: 2.75rem;
  padding: 0.625rem;
}

/* Print */

.print {
  display: none
}

@media print {
  .print {
    display: block
  }

  body {
    margin: 0;
    padding: 0;
    color: #111;
  }

  #header::after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 5rem;
  }

  #logo {
    background-image: url("/media/logo.png");
    -webkit-print-color-adjust: exact;
    /* force browser to print background-image */
    color-adjust: exact !important;
  }

  .prose a {
    color: #111;
  }

  .prose a::after, a.print::after {
    content: " (" attr(href) ")" !important;
  }

  table, img, svg {
    -moz-column-break-inside: avoid;
         break-inside: avoid;
  }
}

@media (min-width: 64rem){
  .lg\:prose-lg :where(h1):not(:where([class~="not-prose"] *)){
    font-size: 2.25rem;
  }
}

@media print{
  .print\:prose{
    color: #4b5563;
  }

  .print\:prose :where(strong):not(:where([class~="not-prose"] *)){
    font-weight: 700;
  }

  .print\:prose :where(h1):not(:where([class~="not-prose"] *)){
    font-weight: 400;
    font-size: 1.875rem;
    color: #111827;
    margin-bottom: 0.5rem;
  }

  .print\:prose :where(h2):not(:where([class~="not-prose"] *)){
    font-weight: 400;
  }

  .print\:prose :where(p):not(:where([class~="not-prose"] *)){
    color: #4b5563;
    line-height: 1.75;
  }
}

.hover\:border-gray-500:hover{
  --tw-border-opacity: 1;
  border-color: rgb(107 114 128 / var(--tw-border-opacity));
}

.hover\:bg-gray-100:hover{
  --tw-bg-opacity: 1;
  background-color: rgb(243 244 246 / var(--tw-bg-opacity));
}

.hover\:bg-gray-50:hover{
  --tw-bg-opacity: 1;
  background-color: rgb(249 250 251 / var(--tw-bg-opacity));
}

.hover\:text-gray-700:hover{
  --tw-text-opacity: 1;
  color: rgb(55 65 81 / var(--tw-text-opacity));
}

.hover\:text-gray-800:hover{
  --tw-text-opacity: 1;
  color: rgb(31 41 55 / var(--tw-text-opacity));
}

.hover\:text-gray-900:hover{
  --tw-text-opacity: 1;
  color: rgb(17 24 39 / var(--tw-text-opacity));
}

.hover\:no-underline:hover{
  text-decoration-line: none;
}

.focus\:not-sr-only:focus{
  position: static;
  width: auto;
  height: auto;
  padding: 0;
  margin: 0;
  overflow: visible;
  clip: auto;
  white-space: normal;
}

.focus\:w-full:focus{
  width: 100%;
}

.focus\:bg-gray-50:focus{
  --tw-bg-opacity: 1;
  background-color: rgb(249 250 251 / var(--tw-bg-opacity));
}

.focus\:pl-12:focus{
  padding-left: 3rem;
}

.focus\:outline-none:focus{
  outline: 2px solid transparent;
  outline-offset: 2px;
}

.focus\:ring-2:focus{
  --tw-ring-offset-shadow: var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);
  --tw-ring-shadow: var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color);
  box-shadow: var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow, 0 0 #0000);
}

.active\:bg-gray-100:active{
  --tw-bg-opacity: 1;
  background-color: rgb(243 244 246 / var(--tw-bg-opacity));
}

.active\:bg-gray-200:active{
  --tw-bg-opacity: 1;
  background-color: rgb(229 231 235 / var(--tw-bg-opacity));
}

@media (min-width: 40rem){
  .sm\:mb-0{
    margin-bottom: 0px;
  }

  .sm\:block{
    display: block;
  }

  .sm\:hidden{
    display: none;
  }

  .sm\:w-1\/3{
    width: 33.333333%;
  }

  .sm\:w-1\/4{
    width: 25%;
  }

  .sm\:grid-flow-col{
    grid-auto-flow: column;
  }

  .sm\:grid-cols-2{
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .sm\:flex-row{
    flex-direction: row;
  }

  .sm\:items-center{
    align-items: center;
  }

  .sm\:gap-x-8{
    -moz-column-gap: 2rem;
         column-gap: 2rem;
  }

  .sm\:bg-orange-200{
    --tw-bg-opacity: 1;
    background-color: rgb(254 215 170 / var(--tw-bg-opacity));
  }

  .sm\:px-6{
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }

  .sm\:pl-4{
    padding-left: 1rem;
  }
}

@media (min-width: 48rem){
  .md\:mb-4{
    margin-bottom: 1rem;
  }

  .md\:mt-0{
    margin-top: 0px;
  }

  .md\:block{
    display: block;
  }

  .md\:hidden{
    display: none;
  }

  .md\:h-80{
    height: 20rem;
  }

  .md\:flex-row{
    flex-direction: row;
  }

  .md\:space-x-6 > :not([hidden]) ~ :not([hidden]){
    --tw-space-x-reverse: 0;
    margin-right: calc(1.5rem * var(--tw-space-x-reverse));
    margin-left: calc(1.5rem * calc(1 - var(--tw-space-x-reverse)));
  }

  .md\:bg-green-200{
    --tw-bg-opacity: 1;
    background-color: rgb(187 247 208 / var(--tw-bg-opacity));
  }

  .md\:text-lg{
    font-size: 1.125rem;
    line-height: 1.75rem;
  }
}

@media (min-width: 64rem){
  .lg\:static{
    position: static;
  }

  .lg\:relative{
    position: relative;
  }

  .lg\:sticky{
    position: sticky;
  }

  .lg\:right-auto{
    right: auto;
  }

  .lg\:top-0{
    top: 0;
  }

  .lg\:order-last{
    order: 9999;
  }

  .lg\:ml-0{
    margin-left: 0px;
  }

  .lg\:block{
    display: block;
  }

  .lg\:flex{
    display: flex;
  }

  .lg\:hidden{
    display: none;
  }

  .lg\:h-8{
    height: 2rem;
  }

  .lg\:h-auto{
    height: auto;
  }

  .lg\:max-h-full{
    max-height: 100%;
  }

  .lg\:min-h-8{
    min-height: 2rem;
  }

  .lg\:w-1\/2{
    width: 50%;
  }

  .lg\:w-1\/4{
    width: 25%;
  }

  .lg\:w-72{
    width: 18rem;
  }

  .lg\:w-full{
    width: 100%;
  }

  .lg\:max-w-4xl{
    max-width: 50rem;
  }

  .lg\:max-w-96{
    max-width: 24rem;
  }

  .lg\:flex-row{
    flex-direction: row;
  }

  .lg\:justify-start{
    justify-content: flex-start;
  }

  .lg\:justify-between{
    justify-content: space-between;
  }

  .lg\:overflow-visible{
    overflow: visible;
  }

  .lg\:border-0{
    border-width: 0px;
  }

  .lg\:border-b-0{
    border-bottom-width: 0px;
  }

  .lg\:bg-purple-200{
    --tw-bg-opacity: 1;
    background-color: rgb(233 213 255 / var(--tw-bg-opacity));
  }

  .lg\:px-5{
    padding-left: 1.25rem;
    padding-right: 1.25rem;
  }

  .lg\:py-1{
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
  }

  .lg\:pt-0{
    padding-top: 0px;
  }

  .lg\:pt-px{
    padding-top: 1px;
  }

  .lg\:text-base{
    font-size: 1rem;
    line-height: 1.5rem;
  }

  .lg\:text-lg{
    font-size: 1.125rem;
    line-height: 1.75rem;
  }

  .lg\:text-sm{
    font-size: 0.875rem;
    line-height: 1.25rem;
  }

  .lg\:text-xs{
    font-size: 0.75rem;
    line-height: 1rem;
  }
}

@media (min-width: 80rem){
  .xl\:absolute{
    position: absolute;
  }

  .xl\:sticky{
    position: sticky;
  }

  .xl\:bottom-24{
    bottom: 6rem;
  }

  .xl\:right-0{
    right: 0;
  }

  .xl\:top-0{
    top: 0;
  }

  .xl\:top-20{
    top: 5rem;
  }

  .xl\:-mt-12{
    margin-top: -3rem;
  }

  .xl\:block{
    display: block;
  }

  .xl\:hidden{
    display: none;
  }

  .xl\:h-auto{
    height: auto;
  }

  .xl\:w-1\/4{
    width: 25%;
  }

  .xl\:w-1\/5{
    width: 20%;
  }

  .xl\:w-96{
    width: 24rem;
  }

  .xl\:max-w-\[35\%\]{
    max-width: 35%;
  }

  .xl\:max-w-\[65\%\]{
    max-width: 65%;
  }

  .xl\:grid-cols-1{
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  .xl\:bg-red-200{
    --tw-bg-opacity: 1;
    background-color: rgb(254 202 202 / var(--tw-bg-opacity));
  }

  .xl\:px-8{
    padding-left: 2rem;
    padding-right: 2rem;
  }

  .xl\:pt-2{
    padding-top: 0.5rem;
  }

  .xl\:pt-32{
    padding-top: 8rem;
  }
}

@media (min-width: 27.5rem){
  .xs\:w-40{
    width: 10rem;
  }

  .xs\:w-full{
    width: 100%;
  }

  .xs\:grid-cols-2{
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .xs\:pl-12{
    padding-left: 3rem;
  }
}

@media print{
  .print\:absolute{
    position: absolute;
  }

  .print\:float-left{
    float: left;
  }

  .print\:clear-left{
    clear: left;
  }

  .print\:mb-0{
    margin-bottom: 0px;
  }

  .print\:mr-6{
    margin-right: 1.5rem;
  }

  .print\:mt-0{
    margin-top: 0px;
  }

  .print\:mt-2{
    margin-top: 0.5rem;
  }

  .print\:mt-4{
    margin-top: 1rem;
  }

  .print\:hidden{
    display: none;
  }

  .print\:py-4{
    padding-top: 1rem;
    padding-bottom: 1rem;
  }

  .print\:pb-3{
    padding-bottom: 0.75rem;
  }

  .print\:text-3xl{
    font-size: 1.875rem;
    line-height: 2.25rem;
  }
}

